=== debian/changelog ===
gudhi (3.5.0+dfsg-1ubuntu2) jammy; urgency=medium

  * Add amd64 to the list of low memory architectures

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 06 Apr 2022 19:26:28 +0000

gudhi (3.5.0+dfsg-1ubuntu1) jammy; urgency=medium

  * (Build-)depend on libtbb2-dev instead of libtbb-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Mar 2022 12:15:49 +0100

gudhi (3.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Rebase patches.
  * Drop patches:
    - 0005-Install-Python-module-in-correct-location
    - 0006-Move-towards-reproducible-builds
    - 0007-Turn-positional-argument-into-keyword-argument
  * Update copyright ranges.
  * Remove some files from files-excluded as they have been dropped
    upstream.
  * Move HTML documentation to libgudhi-dev's doc directory.
  * Add patch to avoid building Doxygen docs from source root.
  * Don't build Python modules using CMake.

 -- Gard Spreemann <gspr@nonempty.org>  Fri, 14 Jan 2022 19:28:42 +0100

gudhi (3.4.1+dfsg-3) unstable; urgency=medium

  * Add patch to turn sklearn positional args into keyword ones, for
    compatibility with sklearn 1.0. (Closes: #1002331)
  * Standards-version 4.6.0.1. No changes needed.
  * Remove tomato test from blacklist.

 -- Gard Spreemann <gspr@nonempty.org>  Thu, 23 Dec 2021 16:37:05 +0100

gudhi (3.4.1+dfsg-2) unstable; urgency=medium

  * Fix watch file.
  * Rebuild with new version of libhera-dev.

 -- Gard Spreemann <gspr@nonempty.org>  Wed, 18 Aug 2021 09:22:39 +0200
