=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/gudhi-release-?(\d\S+)\.tar\.gz/gudhi-$1\.tar\.gz/,\
  dversionmangle=s/\+dfsg(\.\d+)?$//,\
  uversionmangle=s/.?(RC|rc)/~rc/ \
  https://github.com/GUDHI/gudhi-devel/releases \
  (?:.*?/)gudhi-release-?(\d[\d.]*)\.tar\.gz debian
